ServletSolrParams (Solr 3.6.2 API)
Keywords: org.apache.solr.request.ServletSolrParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Class ServletSolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.common.params.MultiMapSolrParams
              org.apache.solr.request.ServletSolrParams

All Implemented Interfaces:
  Serializable

    public class ServletSolrParams

extends MultiMapSolrParams

Version:
  $Id$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.solr.common.params.MultiMapSolrParams
`map`

Constructor Summary
`ServletSolrParams(javax.servlet.ServletRequest req)`

Method Summary
`String` | `get(String name)` returns the String value of a param, or null if not set

Methods inherited from class org.apache.solr.common.params.MultiMapSolrParams
`addParam, getMap, getParameterNamesIterator, getParams, toString`

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams, wrapAppended, wrapDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletSolrParams

    public ServletSolrParams(javax.servlet.ServletRequest req)

Method Detail

### get

    public String get(String name)

  Description copied from class: `SolrParams`
  returns the String value of a param, or null if not set

  Overrides:
    `get` in class `MultiMapSolrParams`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD